#
# spec file for package rubygem-simplecov
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-simplecov
Version:        0.22.0
Release:        1.5
%define mod_name simplecov
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/simplecov-ruby/simplecov
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Code coverage for Ruby
License:        MIT

%description
Code coverage for Ruby with a powerful configuration library and automatic
merging of coverage across test suites.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- 0.22.0 (2022-12-23)
  ==========
  [#]# Enhancements
  * On Ruby 3.2+, you can now use the new Coverage library feature for `eval` - See https://github.com/simplecov-ruby/simplecov/pull/1037. Thanks [@mame](https://github.com/mame)!
  [#]# Bugfixes
  * Fix for making the test suite pass against the upcoming Ruby 3.2 - See https://github.com/simplecov-ruby/simplecov/pull/1035. Thanks [@mame](https://github.com/mame)
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.21.2
  see installed CHANGELOG.md
  0.21.2 (2021-01-09)
  ==========
  [#]# Bugfixes
  * `maximum_coverage_drop` won't fail any more if `.last_run.json` is still in the old format. Thanks [@petertellgren](https://github.com/petertellgren)
  * `maximum_coverage_drop` won't fail if an expectation is specified for a previous unrecorded criterion, it will just pass (there's nothing, so nothing to drop)
  * fixed bug in `maximum_coverage_drop` calculation that could falsely report it had dropped for minimal differences
  0.21.1 (2021-01-04)
  ==========
  [#]# Bugfixes
  * `minimum_coverage_by_file` works again as expected (errored out before 😱)
  0.21.0 (2021-01-03)
  ==========
  The "Collate++" release making it more viable for big CI setups by limiting memory consumption. Also includes some nice new additions for branch coverage settings.
  [#]# Enhancements
  * Performance of `SimpleCov.collate` improved - it should both run faster and consume much less memory esp. when run with many files (memory consumption should not increase with number of files any more)
  * Can now define the minimum_coverage_by_file, maximum_coverage_drop and refuse_coverage_drop by branch as well as line coverage. Thanks to [@jemmaissroff](https://github.com/jemmaissroff)
  * Can set primary coverage to something other than line by setting `primary_coverage :branch` in SimpleCov Configuration. Thanks to [@jemmaissroff](https://github.com/jemmaissroff)
  [#]# Misc
  * reduce gem size by splitting Changelog into `Changelog.md` and a pre 0.18 `Changelog.old.md`, the latter of which is not included in the gem
  * The interface of `ResultMeger.merge_and_store` is changed to support the `collate` performance improvements mentioned above. It's not considered an official API, hence this is not in the breaking section. For people using it to merge results from different machines, it's recommended to migrate to [collate](https://github.com/simplecov-ruby/simplecov#merging-test-runs-under-different-execution-environments).
  0.20.0 (2020-11-29)
  ==========
  The "JSON formatter" release. Starting now a JSON formatter is included by default in the release. This is mostly done for Code Climate reasons, you can find more details [in this issue](https://github.com/codeclimate/test-reporter/issues/413).
  Shipping with so much by default is sub-optimal, we know. It's the long term plan to also provide `simplecov-core` without the HTML or JSON formatters for those who don't need them/for other formatters to rely on.
  [#]# Enhancements
  * `simplecov_json_formatter` included by default ([docs](https://github.com/simplecov-ruby/simplecov#json-formatter)), this should enable the Code Climate test reporter to work again once it's updated
  * invalidate internal cache after switching `SimpleCov.root`, should help with some bugs
  0.19.1 (2020-10-25)
  ==========
  [#]# Bugfixes
  * No more warnings triggered by `enable_for_subprocesses`. Thanks to [@mame](https://github.com/mame)
  * Avoid trying to patch `Process.fork` when it isn't available. Thanks to [@MSP-Greg](https://github.com/MSP-Greg)
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 0.19.0
  see installed CHANGELOG.md
  0.19.0 (2020-08-16)
  ==========
  [#]# Breaking Changes
  * Dropped support for Ruby 2.4, it reached EOL
  [#]# Enhancements
  * observe forked processes (enable with SimpleCov.enable_for_subprocesses). See [#881](https://github.com/simplecov-ruby/simplecov/pull/881), thanks to [@robotdana](https://github.com/robotdana)
  * SimpleCov distinguishes better that it stopped processing because of a previous error vs. SimpleCov is the originator of said error due to coverage requirements.
  [#]# Bugfixes
  * Changing the `SimpleCov.root` combined with the root filtering didn't work. Now they do! Thanks to [@deivid-rodriguez](https://github.com/deivid-rodriguez) and see [#894](https://github.com/simplecov-ruby/simplecov/pull/894)
  * in parallel test execution it could happen that the last coverage result was written to disk when it didn't complete yet, changed to only write it once it's the final result
  * if you run parallel tests only the final process will report violations of the configured test coverage, not all previous processes
  * changed the parallel_tests merging mechanisms to do the waiting always in the last process, should reduce race conditions
  [#]# Noteworthy
  * The repo has moved to https://github.com/simplecov-ruby/simplecov - everything stays the same, redirects should work but you might wanna update anyhow
  * The primary development branch is now `main`, not `master` anymore. If you get simplecov directly from github change your reference. For a while `master` will still be occasionally updated but that's no long term solion.
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.18.5
  see installed CHANGELOG.md
  0.18.5 (2020-02-25)
  ===================
  Can you guess? Another bugfix release!
  [#]# Bugfixes
  * minitest won't crash if SimpleCov isn't loaded - aka don't execute SimpleCov code in the minitest plugin if SimpleCov isn't loaded. Thanks to [@edariedl](https://github.com/edariedl) for the report of the peculiar problem in [#877](https://github.com/colszowka/simplecov/issues/877).
  0.18.4 (2020-02-24)
  ===================
  Another small bugfix release 🙈 Fixes SimpleCov running with rspec-rails, which was broken due to our fixed minitest integration.
  [#]# Bugfixes
  * SimpleCov will run again correctly when used with rspec-rails. The excellent bug report [#873](https://github.com/colszowka/simplecov/issues/873) by [@odlp](https://github.com/odlp) perfectly details what went wrong. Thanks to [@adam12](https://github.com/adam12) for the fix [#874](https://github.com/colszowka/simplecov/pull/874).
  0.18.3 (2020-02-23)
  ===========
  Small bugfix release. It's especially recommended to upgrade simplecov-html as well because of bugs in the 0.12.0 release.
  [#]# Bugfixes
  * Fix a regression related to file encodings as special characters were missing. Furthermore we now respect the magic `# encoding: ...` comment and read files in the right encoding. Thanks ([@Tietew](https://github.com/Tietew)) - see [#866](https://github.com/colszowka/simplecov/pull/866)
  * Use `Minitest.after_run` hook to trigger post-run hooks if `Minitest` is present. See [#756](https://github.com/colszowka/simplecov/pull/756) and [#855](https://github.com/colszowka/simplecov/pull/855) thanks ([@adam12](https://github.com/adam12))
  0.18.2 (2020-02-12)
  ===================
  Small release just to allow you to use the new simplecov-html.
  [#]# Enhancements
  * Relax simplecov-html requirement so that you're able to use [0.12.0](https://github.com/colszowka/simplecov-html/blob/master/CHANGELOG.md#0120-2020-02-12)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.18.1
  see installed CHANGELOG.md
  0.18.1 (2020-01-31)
  ===================
  Small Bugfix release.
  [#]# Bugfixes
  * Just putting `# :nocov:` on top of a file or having an uneven number of them in general works again and acts as if ignoring until the end of the file. See [#846](https://github.com/colszowka/simplecov/issues/846) and thanks [@DannyBen](https://github.com/DannyBen) for the report.
  0.18.0 (2020-01-28)
  ===================
  Huge release! Highlights are support for branch coverage (Ruby 2.5+) and dropping support for EOL'ed Ruby versions (< 2.4).
  Please also read the other beta patch notes.
  You can run with branch coverage by putting `enable_coverage :branch` into your SimpleCov configuration (like the `SimpleCov.start do .. end` block)
  [#]# Enhancements
  * You can now define the minimum expected coverage by criterion like `minimum_coverage line: 90, branch: 80`
  * Memoized some internal data structures that didn't change to reduce SimpleCov overhead
  * Both `FileList` and `SourceFile` now have a `coverage` method that returns a hash that points from a coverage criterion to a `CoverageStatistics` object for uniform access to overall coverage statistics for both line and branch coverage
  [#]# Bugfixes
  * we were losing precision by rounding the covered strength early, that has been removed. **For Formatters** this also means that you may need to round it yourself now.
  * Removed an inconsistency in how we treat skipped vs. irrelevant lines (see [#565](https://github.com/colszowka/simplecov/issues/565)) - SimpleCov's definition of 100%% is now "You covered everything that you could" so if coverage is 0/0 that's counted as a 100%% no matter if the lines were irrelevant or ignored/skipped
  [#]# Noteworthy
  * `FileList` stopped inheriting from Array, it includes Enumerable so if you didn't use Array specific methods on it in formatters you should be fine
  0.18.0.beta3 (2020-01-20)
  ========================
  [#]# Enhancements
  * Instead of ignoring old `.resultset.json`s that are inside the merge timeout, adapt and respect them
  [#]# Bugfixes
  * Remove the constant warning printing if you still have a `.resultset.json` in pre 0.18 layout that is within your merge timeout
  0.18.0.beta2 (2020-01-19)
  ===================
  [#]# Enhancements
  * only turn on the requested coverage criteria (when activating branch coverage before SimpleCov would also instruct Ruby to take Method coverage)
  * Change how branch coverage is displayed, now it's `branch_type: hit_count` which should be more self explanatory. See [#830](https://github.com/colszowka/simplecov/pull/830) for an example and feel free to give feedback!
  * Allow early running exit tasks and avoid the `at_exit` hook through the `SimpleCov.run_exit_tasks!` method. (thanks [@macumber](https://github.com/macumber))
  * Allow manual collation of result sets through the `SimpleCov.collate` entrypoint. See the README for more details (thanks [@ticky](https://github.com/ticky))
  * Within `case`, even if there is no `else` branch declared show missing coverage for it (aka no branch of it). See [#825](https://github.com/colszowka/simplecov/pull/825)
  * Stop symbolizing all keys when loading cache (should lead to be faster and consume less memory)
  * Cache whether we can use/are using branch coverage (should be slightly faster)
  [#]# Bugfixes
  * Fix a crash that happened when an old version of our internal cache file `.resultset.json` was still present
  0.18.0.beta1 (2020-01-05)
  ===================
  This is a huge release highlighted by changing our support for ruby versions to 2.4+ (so things that aren't EOL'ed) and finally adding branch coverage support!
  This release is still beta because we'd love for you to test out branch coverage and get your feedback before doing a full release.
  On a personal note from [@PragTob](https://github.com/PragTob/) thanks to [ruby together](https://rubytogether.org/) for sponsoring this work on SimpleCov making it possible to deliver this and subsequent releases.
  [#]# Breaking
  * Dropped support for all EOL'ed rubies meaning we only support 2.4+. Simplecov can no longer be installed on older rubies, but older simplecov releases should still work. (thanks [@deivid-rodriguez](https://github.com/deivid-rodriguez))
  * Dropped the `rake simplecov` task that "magically" integreated with rails. It was always undocumented, caused some issues and [had some issues](https://github.com/colszowka/simplecov/issues/689#issuecomment-561572327). Use the integration as described in the README please :)
  [#]# Enhancements
  * Branch coverage is here! Please try it out and test it! You can activate it with `enable_coverage :branch`. See the README for more details. This is thanks to a bunch of people most notably [@som4ik](https://github.com/som4ik), [@tycooon](https://github.com/tycooon), [@stepozer](https://github.com/stepozer),  [@klyonrad](https://github.com/klyonrad) and your humble maintainers also contributed ;)
  * If the minimum coverage is set to be greater than 100, a warning will be shown. See [#737](https://github.com/colszowka/simplecov/pull/737) (thanks [@belfazt](https://github.com/belfazt))
  * Add a configuration option to disable the printing of non-successful exit statuses. See [#747](https://github.com/colszowka/simplecov/pull/746) (thanks [@JacobEvelyn](https://github.com/JacobEvelyn))
  * Calculating 100%% coverage is now stricter, so 100%% means 100%%. See [#680](https://github.com/colszowka/simplecov/pull/680) thanks [@gleseur](https://github.com/gleseur)
  [#]# Bugfixes
  * Add new instance of `Minitest` constant. The `MiniTest` constant (with the capital T) will be removed in the next major release of Minitest. See [#757](https://github.com/colszowka/simplecov/pull/757) (thanks [@adam12](https://github.com/adam12))
  0.17.1 (2019-09-16)
  ===================
  Bugfix release for problems with ParallelTests.
  [#]# Bugfixes
  * Avoid hanging with parallel_tests. See [#746](https://github.com/colszowka/simplecov/pull/746) (thanks [@annaswims](https://github.com/annaswims))
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.17.0
  see installed CHANGELOG.md
  0.17.0 (2019-07-02)
  ===================
  Maintenance release with nice convenience features and important bugfixes.
  Notably this **will be the last release to support ruby versions that have reached their end of life**. Moving forward official CRuby support will be 2.4+ and JRuby support will be 9.1+. Older versions might still work but no guarantees.
  [#]# Enhancements
  * Per default filter hidden files and folders. See [#721](https://github.com/colszowka/simplecov/pull/721) (thanks [Renuo AG](https://www.renuo.ch))
  * Print the exit status explicitly when it's not a successful build so it's easier figure out SimpleCov failed the build in the output. See [#688](https://github.com/colszowka/simplecov/pull/688) (thanks [@daemonsy](https://github.com/daemonsy))
  [#]# Bugfixes
  * Avoid a premature failure exit code when setting `minimum_coverage` in combination with using [parallel_tests](https://github.com/grosser/parallel_tests). See [#706](https://github.com/colszowka/simplecov/pull/706) (thanks [@f1sherman](https://github.com/f1sherman))
  * Project roots with special characters no longer cause crashes. See [#717](https://github.com/colszowka/simplecov/pull/717) (thanks [@deivid-rodriguez](https://github.com/deivid-rodriguez))
  * Avoid continously overriding test results with manual `ResultMergere.store_results` usage. See [#674](https://github.com/colszowka/simplecov/pull/674) (thanks [@tomeon](https://github.com/tomeon))
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 0.16.1
  see installed CHANGELOG.md
  0.16.1 (2018-03-16)
  ===================
  [#]# Bugfixes
  * Include the LICENSE in the distributed gem again (accidentally removed in 0.16.0). (thanks @tas50)
  0.16.0 (2018-03-15)
  ===================
  [#]# Enhancements
  * Relax version constraint on `docile`, per SemVer
  * exception that occurred on exit is available as `exit_exception`! See [#639](https://github.com/colszowka/simplecov/pull/639)  (thanks @thomas07vt)
  * Performance: processing results now runs from 2.5x to 3.75x faster. See [#662](https://github.com/colszowka/simplecov/pull/662) (thanks @BMorearty & @eregon)
  * Decrease gem size by only shipping lib and docs
  [#]# Bugfixes
  * (breaking) Stop handling string filters as regular expressions, use the dedicated regex filter if you need that behaviour. See [#616](https://github.com/colszowka/simplecov/pull/616) (thanks @yujinakayama)
  * Avoid overwriting the last coverage results on unsuccessful test runs. See [#625](https://github.com/colszowka/simplecov/pull/625) (thanks @thomas07vt)
  * Don't crash on invalid UTF-8 byte sequences. (thanks @BMorearty)
* Tue Sep 12 2017 dkang@suse.com
- updated to version 0.15.1
  [#]# Bugfixes
  * Filter directories outside SimpleCov.root that have it as a prefix. See [#617](https://github.com/colszowka/simplecov/pull/617) (thanks @jenseng)
  * Fix standard rails profile rails filter (didn't work). See [#618](https://github.com/colszowka/simplecov/pull/618) (thanks @jenseng again!)
* Mon Aug 14 2017 mschnitzer@suse.com
- updated to version 0.15.0
  [#]# Enhancements
  * Ability to use regex filters for removing files from the output. See [#589](https://github.com/colszowka/simplecov/pull/589) (thanks @jsteel)
  [#]# Bugfixes
  * Fix merging race condition when running tests in parallel and merging them. See [#570](https://github.com/colszowka/simplecov/pull/570) (thanks @jenseng)
  * Fix relevant lines for unloaded files - comments, skipped code etc. are correctly classigied as irrelevant. See [#605](https://github.com/colszowka/simplecov/pull/605) (thanks @odlp)
  * Allow using simplecov with frozen-string-literals enabled. See [#590](https://github.com/colszowka/simplecov/pull/590) (thanks @pat)
  * Make sure Array Filter can use all other filter types. See [#589](https://github.com/colszowka/simplecov/pull/589) (thanks @jsteel)
  * Make sure file names use `Simplecov.root` as base avoiding using full absolute project paths. See [#589](https://github.com/colszowka/simplecov/pull/589) (thanks @jsteel)
* Sun Mar 19 2017 coolo@suse.com
- updated to version 0.14.1
  see installed CHANGELOG.md
  0.14.1 2017-03-18 ([changes](https://github.com/colszowka/simplecov/compare/v0.14.0...v0.14.1))
  ========
  [#]# Bugfixes
  * Files that were skipped as a whole/had no relevant coverage could lead to Float errors. See [#564](https://github.com/colszowka/simplecov/pull/564) (thanks to @stevehanson for the report in [#563](https://github.com/colszowka/simplecov/issues/563))
* Thu Mar 16 2017 coolo@suse.com
- updated to version 0.14.0
  see installed CHANGELOG.md
* Thu Jan 26 2017 coolo@suse.com
- updated to version 0.13.0
  see installed CHANGELOG.md
* Mon Jul  4 2016 coolo@suse.com
- updated to version 0.12.0
  see installed CHANGELOG.md
* Thu Feb  4 2016 coolo@suse.com
- updated to version 0.11.2
  see installed CHANGELOG.md
* Thu Dec  3 2015 coolo@suse.com
- updated to version 0.11.1
  see installed CHANGELOG.md
* Tue Dec  1 2015 coolo@suse.com
- updated to version 0.11.0
  see installed CHANGELOG.md
* Thu Apr 23 2015 coolo@suse.com
- updated to version 0.10.0
  see installed CHANGELOG.md
* Thu Feb 19 2015 coolo@suse.com
- updated to version 0.9.2
* Wed Oct 15 2014 coolo@suse.com
- updated to version 0.9.1
  [#]# Bugfixes
  * In 0.9.0, we introduced a regression that made SimpleCov no-op mode fail on Ruby 1.8, while
    dropping 1.8 support altogether is announced only for v1.0. This has been fixed.
    See [#333](https://github.com/colszowka/simplecov/issues/333) (thanks (@sferik)
  0.9.0, 2014-07-17 ([changes](https://github.com/colszowka/simplecov/compare/v0.8.2...v0.9.0))
  ====================
  * *A warm welcome and big thank you to the new contributors [@xaviershay](https://github.com/xaviershay), [@sferik](https://github.com/sferik) and especially [@bf4](https://github.com/bf4) for tackling a whole lot of issues and pull requests for this release!**
  [#]# Enhancements
  * New interface to specify multiple formatters.
    See [#317](https://github.com/colszowka/simplecov/pull/317) (thanks @sferik)
  * Document in the README how to exclude code from coverage reports,
    and that the feature shouldn't be abused for skipping untested
    private code.
    See [#304](https://github.com/colszowka/simplecov/issues/304)
  * Clarify Ruby version support.
    See [#279](https://github.com/colszowka/simplecov/pull/279) (thanks @deivid-rodriguez)
  [#]# Bugfixes
  * Ensure calculations return Floats, not Fixnum or Rational. Fixes segfaults with mathn.
    See [#245](https://github.com/colszowka/simplecov/pull/245) (thanks to @bf4)
  * Using `Kernel.exit` instead of exit to avoid uncaught throw :IRB_EXIT when
    exiting irb sessions.
    See [#287](https://github.com/colszowka/simplecov/pull/287) (thanks @wless1)
    See [#285](https://github.com/colszowka/simplecov/issues/285)
  * Does not look for .simplecov in ~/ when $HOME is not set.
    See [#311](https://github.com/colszowka/simplecov/pull/311) (thanks @lasseebert)
  * Exit with code only if it's Numeric > 0.
    See [#302](https://github.com/colszowka/simplecov/pull/303)(thanks @hajder)
  * Make default filter case insensitive.
    See [#280](https://github.com/colszowka/simplecov/pull/280) (thanks @ryanatball)
  * Improve regexp that matches functional tests.
    See [#276](https://github.com/colszowka/simplecov/pull/276) (thanks @sferik)
  * Fix TravisCI [#272](https://github.com/colszowka/simplecov/pull/272) [#278](https://github.com/colszowka/simplecov/pull/278), [#302](https://github.com/colszowka/simplecov/pull/302)
  * Fix global config load.
    See [#311](https://github.com/colszowka/simplecov/pull/311) (thanks @lasseebert)
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.8.2, see CHANGELOG.md (tons of those)
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.7.1
  * [BUGFIX] The gem packages of 0.7.0 (both simplecov and simplecov-html) pushed to Rubygems had some file
    permission issues, leading to problems when installing SimpleCov in a root/system Rubygems install and then
    trying to use it as a normal user (see https://github.com/colszowka/simplecov/issues/171, thanks @envygeeks
    for bringing it up). The gem build process has been changed to always enforce proper permissions before packaging
    to avoid this issue in the future.
* Fri Oct 12 2012 coolo@suse.com
- updated to version 0.7.0
  * [FEATURE] The new `maximum_coverage_drop` and `minimum_coverage` now allow you to fail your build when the
    coverage dropped by more than what you allowed or is below a minimum value required. Also, `refuse_coverage_drop` disallows
    any coverage drops between test runs.
    See https://github.com/colszowka/simplecov/pull/151, https://github.com/colszowka/simplecov/issues/11,
    https://github.com/colszowka/simplecov/issues/90, and https://github.com/colszowka/simplecov/issues/96 (thanks to @infertux)
  * [FEATURE] SimpleCov now ships with a built-in MultiFormatter which allows the easy usage of multiple result formatters at
    the same time without the need to write custom wrapper code.
    See https://github.com/colszowka/simplecov/pull/158 (thanks to @nikitug)
  * [BUGFIX] The usage of digits, hyphens and underscores in group names could lead to broken tab navigation
    in the default simplecov-html reports. See https://github.com/colszowka/simplecov-html/pull/14 (thanks to @ebelgarts)
  * [REFACTORING] A few more ruby warnings removed. See https://github.com/colszowka/simplecov/issues/106 and
    https://github.com/colszowka/simplecov/pull/139. (thanks to @lukejahnke)
  * A [Pledgie button](https://github.com/colszowka/simplecov/commit/63cfa99f8658fa5cc66a38c83b3195fdf71b9e93) for those that
    feel generous :)
  * The usual bunch of README fixes and documentation tweaks. Thanks to everyone who contributed those!
* Thu May 10 2012 coolo@suse.com
- update to 0.6.4
  * [BUGFIX] Encoding issues with ISO-8859-encoded source files fixed.
  See https://github.com/colszowka/simplecov/pull/117. (thanks to @Deradon)
  * [BUGFIX] Ensure ZeroDivisionErrors won't occur when calculating the coverage result, which previously
  could happen in certain cases. See https://github.com/colszowka/simplecov/pull/128. (thanks to @japgolly)
  * [REFACTORING] Changed a couple instance variable lookups so SimpleCov does not cause a lot of warnings when
  running ruby at a higher warning level. See https://github.com/colszowka/simplecov/issues/106 and
  https://github.com/colszowka/simplecov/pull/119. (thanks to @mvz and @gioele)
  * [BUGFIX] Modified the API-changes for newer multi_json versions introduced with #122 and v0.6.2 so
  they are backwards-compatible with older multi_json gems in order to avoid simplecov polluting
  the multi_json minimum version requirement for entire applications.
  See https://github.com/colszowka/simplecov/issues/132
  * Added appraisal gem to the test setup in order to run the test suite against both 1.0 and 1.3
  multi_json gems and ensure the above actually works :)
* Mon Apr 23 2012 coolo@suse.com
- update to 0.6.2 - remove use of deprecated multijson API
* Sat Apr  7 2012 coolo@suse.com
- initial package
